var React = require('react');
var ReactRouter = require('react-router-dom');

var Router = ReactRouter.BrowserRouter;
var Route = ReactRouter.Route;
var Switch = ReactRouter.Switch;
var browserHistory =ReactRouter.browserHistory;
var Nav = require('./Nav');
var Main = require('./Main');
  
var Content = require('./Content');
var Pet = require('../components/entity/pet/Pet');


class App extends React.Component {
  render() {
    return (
      <Router>
        <div className='container'>
          <Nav/>
          <h4 className="header">DAA Example</h4>
          <Switch>
            <Route exact path='/DAAExample' component={Main} />
            <Route exact path='/DAAExample/people' component={Content}/>
            <Route path='/DAAExample/people/pet' component={Pet}/>
            <Route render={function () {
              return <p>Not Found</p>
            }} />
          </Switch>
        </div>
      </Router>
    )
  }
}

module.exports = App;